petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecPlaceArray

Allows one to replace the array in a vector with an array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPlaceArray(Vec vec,const PetscScalar array[])

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### Notes

You can return to the original array with a call to VecResetArray()

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray()

### Level

developer

### Location

src/vec/vec/interface/rvector.c

### Examples

src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex61f.F90.html

### Implementations

VecPlaceArray_MPI in src/vec/vec/impls/mpi/pbvec.c
VecPlaceArray_Seq in src/vec/vec/impls/seq/dvec2.c
VecPlaceArray_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda.c
VecPlaceArray_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages